Skip to main content
POST
/
datasets
/
{dataset_id}
/
documents
/
download-zip
ドキュメントを一括ダウンロード(ZIP)
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/download-zip \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/documents/download-zip"

payload = { "document_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/documents/download-zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"

Authorizations

Authorization
string
header
required

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。

Path Parameters

dataset_id
string<uuid>
required

ナレッジベース ID です。

Body

application/json
document_ids
string<uuid>[]
required

ZIP アーカイブに含めるドキュメント ID の配列です。

Required array length: 1 - 100 elements

Response

リクエストされたドキュメントを含む ZIP アーカイブです。

ZIP アーカイブのバイナリストリームです。

Last modified on July 9, 2026